Subject: Re: [FErari-dev] [FEniCS-dev] Problem with FErari and python 2.5

From: "Garth N. Wells" <[email-masked]>
Date: Thu, 21 Jun 2007 19:19:46 +0200

Take a look here

http://www.fenics.org/pipermail/fiat-dev/2007-April/000167.html

Garth

Martin Sandve Alnæs wrote:
> Trying to install FErari 0.0.1 with python 2.5 yields the following
> error message:
> 
> martinal@martinal-laptop:~/softwaredownloads/fenics/FErari-0.0.1$ sudo
> python setup.py install
> ...
> byte-compiling /usr/lib/python2.5/site-packages/FErari/xpermutations.py
> to xpermutations.pyc
>   File "/usr/lib/python2.5/site-packages/FErari/xpermutations.py", line 19
>     from __future__ import generators
> SyntaxError: from __future__ imports must occur at the beginning of the file
> 
>